package com.ms.biz.service.impl;

import com.ms.biz.service.ShopTo1688DsMemberService;
import com.ms.dal.entity.ShopTo1688DsMember;
import com.ms.dal.mapper.ShopTo1688DsMemberMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class ShopTo1688DsMemberServiceImpl implements ShopTo1688DsMemberService {

    @Autowired
    private ShopTo1688DsMemberMapper shopTo1688DsMemberMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return shopTo1688DsMemberMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(ShopTo1688DsMember record) {
        return shopTo1688DsMemberMapper.insert(record);
    }

    @Override
    public int insertSelective(ShopTo1688DsMember record) {
        return shopTo1688DsMemberMapper.insertSelective(record);
    }

    @Override
    public ShopTo1688DsMember selectByPrimaryKey(Long id) {
        return shopTo1688DsMemberMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(ShopTo1688DsMember record) {
        return shopTo1688DsMemberMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(ShopTo1688DsMember record) {
        return shopTo1688DsMemberMapper.updateByPrimaryKey(record);
    }

    @Override
    public ShopTo1688DsMember getDetailByShopId(Long shopId) {
        return shopTo1688DsMemberMapper.getDetailByShopId(shopId);
    }

}




